Bug 727779 - [abrt] binutils-2.20.51.0.7-8.fc14: new_line_sorts_after: Process /usr/bin/ld.bfd was killed by signal 11 (SIGSEGV)
Summary: [abrt] binutils-2.20.51.0.7-8.fc14: new_line_sorts_after: Process /usr/bin/ld...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c4d638e887b6a1d1eb9230789fc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 08:30 UTC by Jeffrey Walton
Modified: 2012-08-16 21:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:32:47 UTC


Attachments (Terms of Use)
File: backtrace (19.54 KB, text/plain)
2011-08-03 08:30 UTC, Jeffrey Walton
no flags Details
This is ESAPI's C++ project. It is one day old, and very rough (66.56 KB, application/x-gzip)
2011-08-03 17:14 UTC, Jeffrey Walton
no flags Details

Description Jeffrey Walton 2011-08-03 08:30:48 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 20010 bytes
cmdline: /usr/bin/ld --build-id --no-add-needed --eh-frame-hdr -m elf_x86_64 --hash-style=gnu -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o test/run_esapi_tests /usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/4.5.1/crtbegin.o -L/usr/local/lib -L/usr/lib -Llib -L/boost_1_47_0/stage/lib -L/usr/lib/gcc/x86_64-redhat-linux/4.5.1 -L/usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../.. test/codecs/CodecTest.o test/codecs/PushbackStringTest.o -lcryptopp -lboost_filesystem -lboost_unit_test_framework -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-redhat-linux/4.5.1/crtend.o /usr/lib/gcc/x86_64-redhat-linux/4.5.1/../../../../lib64/crtn.o
component: binutils
Attached file: coredump, 37789696 bytes
crash_function: new_line_sorts_after
executable: /usr/bin/ld.bfd
kernel: 2.6.35.13-92.fc14.x86_64
package: binutils-2.20.51.0.7-8.fc14
rating: 4
reason: Process /usr/bin/ld.bfd was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
How to reproduce: Building a DSO and working on Boost::Tests. I have two test files, each calling init_unit_test_suite. I believe this is wrong since init_unit_test_suite will be defined twice.
time: 1312360173
uid: 500

Comment 1 Jeffrey Walton 2011-08-03 08:30:51 UTC
Created attachment 516456 [details]
File: backtrace

Comment 2 Jeffrey Walton 2011-08-03 08:41:44 UTC
Package: binutils-2.20.51.0.7-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Building a DSO and working on Boost::Tests. I have two test files, each calling init_unit_test_suite. I believe this is wrong since init_unit_test_suite will be defined twice.

Comment 3 Jeffrey Walton 2011-08-03 09:10:45 UTC
Package: binutils-2.20.51.0.7-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Building a DSO and working on Boost::Tests. I have two test files, each calling init_unit_test_suite. I believe this is wrong since init_unit_test_suite will be defined twice.

Comment 4 Nick Clifton 2011-08-03 15:59:04 UTC
Hi Jeffrey,

  Do you have a self-contained test case that I can use to reproduce this problem ?

  Does the problem occur on an i686 host ?

  Does the problem occur with Fedora 15, or 16 or rawhide ?

  Does the problem happen with binutils-2.20.51.0.7-9.fc14 ?

Cheers
  Nick

Comment 5 Jeffrey Walton 2011-08-03 17:07:32 UTC
Package: binutils-2.20.51.0.7-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Building a DSO and working on Boost::Tests. I have two test files, each calling init_unit_test_suite. I believe this is wrong since init_unit_test_suite will be defined twice.

Comment 6 Jeffrey Walton 2011-08-03 17:13:50 UTC
(In reply to comment #4)
> Hi Jeffrey,
> 
>   Do you have a self-contained test case that I can use to reproduce this
> problem ?
Yes, but its kind of big. It will be attached now that I've gt it crashing agian.

>   Does the problem occur on an i686 host ?
Yes, x86_64

>   Does the problem occur with Fedora 15, or 16 or rawhide ?
Fedora 14 (I did not like the GNOME3 experience - there's something about a netbook/touch screen OS on a desktop or laptop)

>   Does the problem happen with binutils-2.20.51.0.7-9.fc14 ?
Not sure, but everything is fully patched

[jeffrey@studio owasp-esapi-c++]$ uname -a
Linux studio 2.6.35.13-92.fc14.x86_64 #1 SMP Sat May 21 17:26:25 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[jeffrey@studio owasp-esapi-c++]$ g++ --version
g++ (GCC) 4.5.1 20100924 (Red Hat 4.5.1-4)
Copyright (C) 2010 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
[jeffrey@studio owasp-esapi-c++]$ ld --version
GNU ld version 2.20.51.0.7-8.fc14 20100318
Copyright 2010 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License version 3 or (at your option) a later version.
This program has absolutely no warranty.
[jeffrey@studio owasp-esapi-c++]$

Comment 7 Jeffrey Walton 2011-08-03 17:14:57 UTC
Created attachment 516551 [details]
This is ESAPI's C++ project. It is one day old, and very rough

`make all` will tickle the problem

Comment 8 Jeffrey Walton 2011-08-03 17:16:54 UTC
(In reply to comment #5)
> Package: binutils-2.20.51.0.7-8.fc14
> Architecture: x86_64
> OS Release: Fedora release 14 (Laughlin)
> 
> How to reproduce
> -----
> Building a DSO and working on Boost::Tests. I have two test files, each calling
> init_unit_test_suite. I believe this is wrong since init_unit_test_suite will
> be defined twice.

(In reply to comment #4)
> Hi Jeffrey,
> 
>   Do you have a self-contained test case that I can use to reproduce this
> problem ?
> 
>   Does the problem occur on an i686 host ?
> 
>   Does the problem occur with Fedora 15, or 16 or rawhide ?
> 
>   Does the problem happen with binutils-2.20.51.0.7-9.fc14 ?
Nick - the project is uploaded. `make all` should trigger the issue

Comment 9 Nick Clifton 2011-08-04 11:37:04 UTC
Hi Jeffrey,

> Nick - the project is uploaded. `make all` should trigger the issue

Unfortunately not:

  % make all
  [snip]
  g++ -DNDEBUG=1 -g -O2 -DSAFEINT_DISALLOW_UNSIGNED_NEGATION=1 -pipe -fsigned-char -fmessage-length=0 -Wall -Wextra -Wno-type-limits -Wno-unused -o test/run_esapi_tests test/codecs/CodecTest.o test/codecs/PushbackStringTest.o -L/usr/local/lib -L/usr/lib -Llib -lcryptopp -lboost_filesystem -lboost_unit_test_framework
  test/codecs/PushbackStringTest.o: In function `boost::unit_test::output::compiler_log_formatter::log_entry_value(std::basic_ostream<char, std::char_traits<char> >&, boost::unit_test::lazy_ostream const&)':
  /usr/include/boost/test/impl/compiler_log_formatter.ipp:184: multiple definition of `boost::unit_test::output::compiler_log_formatter::log_entry_value(std::basic_ostream<char, std::char_traits<char> >&, boost::unit_test::lazy_ostream const&)'
  test/codecs/CodecTest.o:/usr/include/boost/test/impl/compiler_log_formatter.ipp:184: first defined here
  [more multiple definition errors follow...]

This is on a 32-bit F14 host, not a 64-bit one.  (I do not have access to a 64-bit F14 machine at the moment).  But I assume that the make all should either work or else trigger the bug, not into multiple symbol definition problems.

Could you just send me a tarball of the object files and libraries needed and the a copy of the linker command line ?

Cheers
  Nick

Comment 10 Fedora End Of Life 2012-08-16 21:32:49 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.